// JavaScript Document
//var surl='http://localhost/mike/push4snacks/ajax_files/';
var surl='https://app.pushforsnacks.com/ajax_files/';
document.addEventListener("deviceready", onDeviceReady, false);
// PhoneGap is loaded and it is now safe to make calls PhoneGap methods
function onDeviceReady() {
        //checkConnection();
    }

function online() {
	
        var networkState = navigator.connection.type;
        var states = {};
        states[Connection.UNKNOWN]  = 'None';
        states[Connection.ETHERNET] = 'Ethernet';
        states[Connection.WIFI]     = 'WiFi';
        states[Connection.CELL_2G]  = '2G';
        states[Connection.CELL_3G]  = '3G';
        states[Connection.CELL_4G]  = '4G';
        states[Connection.NONE]     = 'None';

        //alert('Connection type: ' + states[networkState]);
		if(states[networkState]=="None"){
			navigator.notification.alert(
							'Please connect with internet.',  // message
							alertDismissed,         // callback
							'Internet Connection',            // title
							'OK'                  // buttonName
							);
			return false;
		}else{
			return true;	
		}
		

}
function alertDismissed() {
   // do something
}
function signup(){
	if(online()){
		var name=$('#name').val();
		var email=$('#email').val();
		var pass=$('#password').val();
		if($('#name').val()==""){
			$('#err').html("*name required");	
			$('#name').focus();
			return false;
		}
		if(email==""){
			$('#err').html("*email required");	
			$('#email').focus();
			return false;
		}
		var exclude=/[^@\-\.\w]|^[_@\.\-]|[\._\-]{2}|[@\.]{2}|(@)[^@]*\1/; //email validation
		var check=/@[\w\-]+\./;
		var checkend=/\.[a-zA-Z]{2,3}$/;
		if(((email.search(exclude) != -1)||(email.search(check)) == -1)||(email.search(checkend) == -1)){
			$('#err').html("*valid email required");
			$('#email').focus();
			return false;
		}
		if($('#password').val()==""){
			$('#err').html("*password required");	
			$('#password').focus();
			return false;
		}
			$.ajax({
			type: 'GET',
			url: surl+'signup.php?n='+name+'&e='+email+'&pass='+pass,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
				if(response>0){
					window.location='register.html';
					}else{
					alert("There is a problem, please try later.");	
					}
			}).fail(function(error){
				alert("There is a problem, please try later.");
			});
	}
}
function login_fb2(name,email){
		$('#login_box').html('Please wait...');
		if(online()){
			$.ajax({
			type: 'GET',
			url: surl+'login_fb.php?e='+email+'&n='+name,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
				if(response>0){
					window.localStorage.setItem("id_user", response);
					window.location='order.html';
					}else{
						$('#err').html("Invalid Email/Password.");
						$('#email').focus();
					}
			}).fail(function(error){
				$('#err').html(" Invalid Email/Password.");
				$('#email').focus();
			});
		}
}
function login(){
	if(online()){
		var email=$('#email').val();
		var pass=$('#password').val();
		if(email==""){
			$('#err').html("*email required");	
			$('#email').focus();
			return false;
		}
		var exclude=/[^@\-\.\w]|^[_@\.\-]|[\._\-]{2}|[@\.]{2}|(@)[^@]*\1/; //email validation
		var check=/@[\w\-]+\./;
		var checkend=/\.[a-zA-Z]{2,3}$/;
		if(((email.search(exclude) != -1)||(email.search(check)) == -1)||(email.search(checkend) == -1)){
			$('#err').html("*valid email required");
			$('#email').focus();
			return false;
		}
		if($('#password').val()==""){
			$('#err').html("*password required");	
			$('#password').focus();
			return false;
		}
			$.ajax({
			type: 'GET',
			url: surl+'login.php?e='+email+'&p='+pass,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
				if(response>0){
					window.localStorage.setItem("id_user", response);
					window.location='order.html';
					}else{
						$('#err').html("Invalid Email/Password.");
						$('#email').focus();
					}
			}).fail(function(error){
				$('#err').html(" Invalid Email/Password.");
				$('#email').focus();
			});
	}
}
function check_login(){
	var value = window.localStorage.getItem("id_user");
	 if(value.length !=0){
		 window.location='order.html';
		 }
}
function logout(){
//remove cookie
window.localStorage.clear();
window.location='index.html';
}

function forgot_password(){
	
	var e=$('#email').val();
	if(e==""){
		$('#err').hide().delay(100).fadeIn(1000);
		$('#err').html("* email required.");
		$('#email').focus();
		return false;
	}
	if(online()){
			$.ajax({
			type: 'GET',
			url: surl+'forgot_password.php?e='+e,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
				if(response>0){
						window.location='forgot_confirm.html';
					}else{
						$('#err').html(" Sorry! Your email is not registered.");
						$('#email').focus();
					}
			}).fail(function(error){
				//$('#err').html(error);
				$('#err').html(" Sorry! Your email is not registered.");
				$('#email').focus();
			});
	}
	
}
function change_pin_code(){
	var id=window.localStorage.getItem("id_user");
	var opin=$('#old_pin').val();
	var npin=$('#new_pin').val();
	var rpin=$('#retype_pin').val();
	if(opin.length>4 || opin==""){
		$('#err').html("*4 digit exiting pin code required");
		$('#old_pin').focus();
		return false;
	}
	if(npin.length>4  || npin==""){
		$('#err').html("*4 digit new pin code required");
		$('#new_pin').focus();
		return false;
	}
	if(rpin.length>4  || rpin==""){
		$('#err').html("*Re-enter 4 digit pin code");
		$('#retype_pin').focus();
		return false;
	}
	if(npin!=rpin){
		$('#err').html("*New & Re-enter pin mismatched.");
		$('#new_pin').focus();
		return false;
	}
	if(online()){
			$.ajax({
			type: 'GET',
			url: surl+'change_pin_code.php?id='+id+'&opin='+opin+'&npin='+npin,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
				if(response==100){
						$('#pin_form_div').html('<p align="center"><br>Great! Your pin has been changed.</p>');

					}
					if(response==200){
						$('#err').html("*Invalid existing pin.");

					}
			}).fail(function(error){
				navigator.notification.alert(
							'Sorry! There is an error, please try later.',  // message
							alertDismissed,         // callback
							'Change Pin Code',            // title
							'OK'                  // buttonName
							);
				
			});
	}
}

function set_pin_code(){
	var id=window.localStorage.getItem("id_user");
	
	var npin=$('#new_pin').val();
	var rpin=$('#retype_pin').val();
	if(npin.length>4  || npin==""){
		$('#err').html("*4 digit new pin code required");
		$('#new_pin').focus();
		return false;
	}
	if(rpin.length>4  || rpin==""){
		$('#err').html("*Re-enter 4 digit pin code");
		$('#retype_pin').focus();
		return false;
	}
	if(npin!=rpin){
		$('#err').html("*New & Re-enter pin mismatched.");
		$('#new_pin').focus();
		return false;
	}
	if(online()){
			$.ajax({
			type: 'GET',
			url: surl+'new_pin_code.php?id='+id+'&npin='+npin,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
				if(response==100){
						navigator.notification.alert(
							'Great! Your Pin is created.',  // message
							alertDismissed,         // callback
							'Set Pin Code',            // title
							'OK'                  // buttonName
							);
				}
				window.location='order.html';
			}).fail(function(error){
				navigator.notification.alert(
							'Sorry! There is an error, please try later.',  // message
							alertDismissed,         // callback
							'Change Pin Code',            // title
							'OK'                  // buttonName
							);
				
			});
	}
}
function pin_code(){
	window.location='pin_code.html';	
}
function generate_pin_code(){
	var id=window.localStorage.getItem("id_user");
	if(online()){
			$.ajax({
			type: 'GET',
			url: surl+'pin_code2.php?id='+id,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
				if(response>0){
						//alert("Your pin code has been generated.");
							navigator.notification.alert(
							'New Pin code emailed to you!',  // message
							alertDismissed,         // callback
							'Generate Pin Code ',            // title
							'OK'                  // buttonName
							);

					}
			}).fail(function(error){
				navigator.notification.alert(
							'Sorry! There is an error, please try later.',  // message
							alertDismissed,         // callback
							'Generate Pin Code ',            // title
							'OK'                  // buttonName
							);
				
			});
	}
}

function load_profile(){
	var id = window.localStorage.getItem("id_user");
			$.ajax({
			type: 'GET',
			url: surl+'load_profile.php?id='+id,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
						//alert("Your pin code has been generated.");
						$('#name').val(response[0]['name']);
						$('#email').val(response[0]['email']);
						$('#phone').val(response[0]['phone']);
						$('#password').val(response[0]['password']);
						
						$('#ccnumber').val(response[0]['ccnumber']);
						$('#ccnumber').attr('type', 'password');
						
						$('#cvv').val(response[0]['cvv']);
						$('#cvv').attr('type', 'password');
						
						$('#expiry_month').val(response[0]['month']);
						$('#expiry_year').val(response[0]['year']);
						$('#shipping_address').val(response[0]['saddress']);
						$('#shipping_city').val(response[0]['scity']);
						$('#shipping_state').val(response[0]['sstate']);
						$('#shipping_zip').val(response[0]['szip']);
			}).fail(function(error){
				navigator.notification.alert(
							'Sorry! There is an error, please try later.',  // message
							alertDismissed,         // callback
							'My Profile',            // title
							'OK'                  // buttonName
							);
			});
}

function profile_settings(){
var id = window.localStorage.getItem("id_user");
	if(online()){
		var name=$('#name').val();
		var email=$('#email').val();
		var phone=$('#phone').val();
		var pass=$('#password').val();
		var ccnumber=$('#ccnumber').val();
		var cvv=$('#cvv').val();
		var month=$('#expiry_month').val();
		var year=$('#expiry_year').val();
		var saddress=$('#shipping_address').val();
		var scity=$('#shipping_city').val();
		var sstate=$('#shipping_state').val();
		var szip=$('#shipping_zip').val();
		
	$.ajax({
			type: 'GET',
			url: surl+'profile_settings.php?id='+id+'&n='+name+'&e='+email+'&p='+phone+'&pass='+pass+'&cc='+ccnumber+'&cv='+cvv+'&m='+month+'&y='+year+'&sadd='+saddress+'&scity='+scity+'&sstate='+sstate+'&szip='+szip,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
				navigator.notification.alert(
							'Changes Saved',  // message
							alertDismissed,         // callback
							'My Profile',            // title
							'OK'                  // buttonName
							);
			}).fail(function(error){
				navigator.notification.alert(
							'Sorry! There is an error, please try later.',  // message
							alertDismissed,         // callback
							'My Profile',            // title
							'OK'                  // buttonName
							);
			});
	}
}

function order_history(){
	var id = window.localStorage.getItem("id_user");
			$.ajax({
			type: 'GET',
			url: surl+'order_history.php?id='+id,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
						$('#order').html(response);				
			}).fail(function(error){
				navigator.notification.alert(
							'Sorry! There is an error, please try later.',  // message
							alertDismissed,         // callback
							'Order History',            // title
							'OK'                  // buttonName
							);
			});
}
function ask_payment(){
	var id = window.localStorage.getItem("id_user");
	$('#pushbtn').attr("src", "images/pushed.png");
	var x = setTimeout('$("#pushbtn").attr("src", "images/push.png")', 300);
	$.ajax({
			type: 'GET',
			url: surl+'check_order_time.php?id='+id,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
				if(response>5){
						$('#orderbtn').hide().delay(2000).fadeOut(2000);
						$('#paymentoption').hide().delay(100).fadeIn(1000);

					}else{
						var rem=5-response;
						navigator.notification.alert(
							'Please wait for '+rem+' minute(s) to place another order.',  // message
							alertDismissed,         // callback
							'Push for order',            // title
							'OK'                  // buttonName
							);
					}
			}).fail(function(error){
				navigator.notification.alert(
							'Sorry! There is an error, please try later.',  // message
							alertDismissed,         // callback
							'Push for order',            // title
							'OK'                  // buttonName
							);
			});
}
function ask_pin(){
	var id = window.localStorage.getItem("id_user");
	//$('#pushbtn').attr("src", "images/pushed.png");
	//var x = setTimeout('$("#pushbtn").attr("src", "images/push.png")', 300);
	$.ajax({
			type: 'GET',
			url: surl+'check_order.php?id='+id,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
				if(response==-10){
					navigator.notification.alert(
							'Please update your credit card info.',  // message
							alertDismissed,         // callback
							'Push for order',            // title
							'OK'                  // buttonName
							);
					window.location='profile_settings.html';
				}else if(response==-20){
					navigator.notification.alert(
							'Please set your transaction pin.',  // message
							alertDismissed,         // callback
							'Push for order',            // title
							'OK'                  // buttonName
							);
					window.location='new_pin_code.html';
				}else if(response>5){
						$('#paymentoption').hide().delay(2000).fadeOut(2000);
						$('#pincode').hide().delay(100).fadeIn(1000);

					}else{
						var rem=5-response;
						navigator.notification.alert(
							'Please wait for '+rem+' minute(s) to place another order.',  // message
							alertDismissed,         // callback
							'Push for order',            // title
							'OK'                  // buttonName
							);
					}
			}).fail(function(error){
				navigator.notification.alert(
							'Sorry! There is an error, please try later.',  // message
							alertDismissed,         // callback
							'Push for order',            // title
							'OK'                  // buttonName
							);
			});
}
function place_order(){
	var id = window.localStorage.getItem("id_user");
	var pin =$('#pin').val();
	if(pin==""){
		$('#err').html("*Pin code required");
		$('#pin').focus();
		return false;
	}
	if(pin.length>4){
		$('#err').html("*4 digit Pin code required");
		$('#pin').focus();
		return false;
	}
	$.ajax({
			type: 'GET',
			url: surl+'place_order.php?id='+id+'&pin='+pin,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
					if(response==100){
						//alert("Your pin code has been generated.");
						navigator.notification.alert(
							'Great, your order has been placed.',  // message
							alertDismissed,         // callback
							'Push for order',            // title
							'OK'                  // buttonName
							);
						$('#pincode').hide().delay(2000).fadeOut(2000);
						window.location='order_history.html'
					}else{
						$('#err').html("*Invalid Pin Code");
					}
			}).fail(function(error){
				navigator.notification.alert(
							'Sorry! There is an error, please try later.',  // message
							alertDismissed,         // callback
							'Push for order',            // title
							'OK'                  // buttonName
							);
			});
}
function change_type(val){
	$('#'+val).attr('type', 'number');
	$('#'+val).attr('width', '92%');
}
function restore_type(val){
	$('#'+val).attr('type', 'password');
}
function paypal(){
	if(online()){
		var id = window.localStorage.getItem("id_user");
		$.ajax({
			type: 'GET',
			url: surl+'place_order_paypal.php?id='+id,
			data: {
			field: 'value'
			},
			dataType: 'jsonp',
			crossDomain: true,
			}).done(function(response){
					if(response==-100){
						navigator.notification.alert(
							'Please update your shipping address first.',  // message
							alertDismissed,         // callback
							'Push for order',            // title
							'OK'                  // buttonName
							);		
						window.location='profile_settings.html';
					}else if(response>0){
						var ref=window.open(surl+'paypal_button.php?id='+response,'_blank','location=no');
						ref.addEventListener('loadstop', function(event) {        
							if (event.url.match("Back")) {
								ref.close();
							}
						});
					}
			}).fail(function(error){
				navigator.notification.alert(
							'Sorry! There is an error, please try later.',  // message
							alertDismissed,         // callback
							'Push for order',            // title
							'OK'                  // buttonName
							);
			});

	}
}